<?php
/*
|--------------------------------------------------------------------------
| Rotas do pacote manager-news
|--------------------------------------------------------------------------
*/
Route::group(array('prefix' => Config::get('manager::url'), 'before' => 'manager.auth'), function()
{
     Route::get('downloads', array('as' => 'manager.downloads.index', 'uses' => Config::get('manager-downloads::controllers.downloads.index')));
    Route::get('downloads/create', array('as' => 'manager.downloads.create', 'uses' => Config::get('manager-downloads::controllers.downloads.create')));
    Route::post('downloads', array('as' => 'manager.downloads.store', 'uses' => Config::get('manager-downloads::controllers.downloads.store')));
    Route::get('downloads/{id}/edit', array('as' => 'manager.downloads.edit', 'uses' => Config::get('manager-downloads::controllers.downloads.edit')));
    Route::put('downloads/{id}', array('as' => 'manager.downloads.update', 'uses' => Config::get('manager-downloads::controllers.downloads.update')));
    Route::delete('downloads/{id}', array('as' => 'manager.downloads.destroy', 'uses' => Config::get('manager-downloads::controllers.downloads.destroy')));

    Route::get('downloads/categorias', array('as' => 'manager.downloads.categories.index', 'uses' => 'EscapeWork\Manager\Downloads\Controllers\DownloadCategoriesController@index'));
    Route::get('downloads/categorias/create', array('as' => 'manager.downloads.categories.create', 'uses' => 'EscapeWork\Manager\Downloads\Controllers\DownloadCategoriesController@create'));
    Route::post('downloads/categorias', array('as' => 'manager.downloads.categories.store', 'uses' => 'EscapeWork\Manager\Downloads\Controllers\DownloadCategoriesController@store'));
    Route::get('downloads/categorias/{id}/edit', array('as' => 'manager.downloads.categories.edit', 'uses' => 'EscapeWork\Manager\Downloads\Controllers\DownloadCategoriesController@edit'));
    Route::put('downloads/categorias/{id}', array('as' => 'manager.downloads.categories.update', 'uses' => 'EscapeWork\Manager\Downloads\Controllers\DownloadCategoriesController@update'));
    Route::delete('downloads/categorias/{id}', array('as' => 'manager.downloads.categories.destroy', 'uses' => 'EscapeWork\Manager\Downloads\Controllers\DownloadCategoriesController@destroy'));
});

